unit ShwMsg;

interface

uses
  Windows, Controls, Classes, Forms, Dialogs, StdCtrls;

type
  TShwMsgForm = class(TForm)
    Memo1: TMemo;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private

  public
    procedure   MessageOut(AMsg: string);
  end;

var
    ShwMsgForm: TShwMsgForm;

implementation

{$R *.dfm}

uses
    iChii;

(*
    ===========================================================================
    bZ[W\
    ===========================================================================
*)
procedure TShwMsgForm.MessageOut(AMsg: string);
begin
    if (Memo1.Lines.Count > 200) then Memo1.Lines.Clear();
    Memo1.Lines.Add(AMsg);
end;

(*
    ===========================================================================
    OnShow
    ===========================================================================
*)
procedure TShwMsgForm.FormShow(Sender: TObject);
begin
    iChii.MSG_OUT_LVL_1 := MessageOut;
    iChii.MSG_OUT_LVL_2 := MessageOut;
end;

(*
    ===========================================================================
    OnHide
    ===========================================================================
*)
procedure TShwMsgForm.FormHide(Sender: TObject);
begin
    iChii.MSG_OUT_LVL_1 := nil;
    iChii.MSG_OUT_LVL_2 := nil;
end;

procedure TShwMsgForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if (Key = VK_ESCAPE) then Self.Close;
end;

end.

